using Supabase.Postgrest.Attributes;
using Supabase.Postgrest.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Library.Models
{
    public class Users: BaseModel
    {
        [PrimaryKey("id")]
        public int Id { get; set; }
        [Column("Name")]
        public string Name { get; set; }
        [Column("Date_of_birth")]
        public DateTime Date_of_birth { get; set; }
        [Column("Id_gender")]
        public int Id_gender { get; set; }
        [Column("Avatar")]
        public string Avatar { get; set; }
        [Column("UID")]
        public string UID { get; set; }
    }
}
